Subject: Pine Frequently Asked Questions (FAQ)

From: The Pine Development Team <[email-masked]>
Date: 22 Aug 1995 23:15:59 GMT

Subject: Where is the latest FAQ?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

The most up-to-date version of this FAQ can be found at any of these places: 

   http://www.cac.washington.edu/pine/faq/
   ftp://ftp.cac.washington.edu/pine/docs/faq
   mailto:[email-masked]

Last updated: 940106
Current release: Pine 3.91, Pico 2.5

 Pine and Pico are registered trademarks of the University of Washington.

 Copyright 1995 by the University of Washington.

Subject: What is Pine?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Pine(tm) --a Program for Internet News & Email-- is a tool for reading,
sending, and managing electronic messages.  It was designed specifically
with novice computer users in mind, but can be tailored to accommodate the
needs of power users as well.  Pine uses Internet message protocols
(e.g. RFC822, SMTP, MIME, IMAP, and NNTP) and runs on Unix, MS-DOS, and
MS Windows. 
  
The guiding principles for Pine's user-interface were:  careful limitation
of features, one-character mnemonic commands, always-present command
menus, immediate user feedback, and high tolerance for user mistakes.  It
is intended that Pine can be learned by exploration rather than reading
manuals.  It has the ability to perform full screen editing of messages,
include and extract attachments (such as Word or Excel files), and other
advanced message system features. 

Pine uses IMAP for accessing message folders on remote computers and MIME
for sending multimedia or other binary files as attachments to normal
messages. 

Subject: What is MIME?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

MIME (RFC1521) stands for "Multipurpose Internet Mail Extensions". It is
an Internet standard which allows transfer of binary files
(word-processing documents, spreadsheets, images, sounds, etc) between any
compliant mailers. You can get technical information about MIME from the
RFC. Ongoing discussion on MIME takes place in the newsgroup
comp.mail.mime. There is also a Frequently Asked Questions (FAQ) list that
is posted regularly to comp.mail.mime, comp.answers and news.answers. 
If you have a Web browser you can access it through:

http://www.cis.ohio-state.edu/hypertext/faq/bngusenet/comp/mail/mime/top.html

Subject: What is IMAP?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

IMAP stands for "Internet Message Access Protocol". An IMAP client program
on any platform at any location on the Internet can access email folders
on an IMAP server. While the messages appear to be local, they reside on
the server until the client explicitly moves or deletes them.  The IMAP
protocol is a functional (but incompatible) superset of POP. A principal
advantage of IMAP over POP is that it permits using more than one computer
to access your mail.  Using multiple computers with POP typically results
in your mail ending up scattered across all of those computers. Another
key advantage is IMAP's ability to selectively access parts of messages,
e.g. you don't have to wait for a 2MB audio attachment to be retrieved
until you specifically ask for it.  This is a big win over low-speed (e.g.
dialup) connections.  For a detailed comparison of IMAP and POP, see the
paper "Comparing Two Approaches to Remote Mailbox Access: IMAP vs. POP." 
It is available from: 

	ftp://ftp.cac.washington.edu/mail/imap.vs.pop
  
IMAP is what allows Pine (or any other IMAP client) to access email on a
remote mail server, usually one that is shared (central or departmental). 
The current IMAP4 Proposed Standard is described in RFC1730.  Additional
information is included in RFC1731, RFC1732, and RFC1733. 

Subject: How can I get a copy of Pine?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Pine is available via anonymous ftp from the pine directory of
ftp.cac.washington.edu. 

Subject: What documentation is available?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

The Pine program itself includes extensive online help.  Additional
documentation may be found via anonymous FTP or via World-Wide-Web at the
following locations: 

  ftp://ftp.cac.washington.edu/pine/docs
  http://www.cac.washington.edu/pine

The following contributed documentation is also available:

  http://www.math.utah.edu/~calfeld/creations/ca_pine_guide.html
  http://www.math.utah.edu/~calfeld/creations/PineIntroduction
  http://www.math.utah.edu/~calfeld/creations/PineIntermediate

If you have documentation that you would like to share, please mail
[email-masked] a pointer to them and we'll include it here. 

Subject: What mailing lists and newsgroups are there dealing with Pine?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

The "comp.mail.pine" newsgroup is devoted to Pine.  It is bi-directionally
gatewayed to the "pine-info" mailing list described below. 

   The following mailing lists deal with Pine and related topics: 
   
   [email-masked] 
          Pine-Info is a mailing list for the email program Pine. The
          mailing list includes discussion of Pine features, bugs,
          tricks, etc. Often technical and installation questions appear
          on the list. New releases, fixes and version of Pine are
          announced on the pine-info mailing list.  For official 
          announcements only, you may wish to see pine-announce instead 
          of this list.
          
          To subscribe to pine-info, send a message to
          [email-masked] with 
                  subscribe pine-info
 	  in the body of the message.
          
          Owners of this mailing list can be contacted at
          [email-masked]. 
          
   [email-masked] 
          Pine-Announce is a announcement list for the email program
          Pine. When new Pine products are released and old ones updated,
          a message goes out to this group describing the development. It
          is a very low volume list and includes no discussion
          whatsoever.
          
          NOTE: All messages to this list are automatically forwarded to
          pine-info, so it is not necessary to subscribe to both lists!
          
          To subscribe to pine-announce, send a message to
          [email-masked] with 
                  subscribe pine-announce
	  in the body of the message.
          
          Owners of this mailing list can be contacted at
          [email-masked].
          
   [email-masked] 
          This is the official mailing list for the IETF IMAP working
          group and other interested parties. Discussion of the evolving
          IMAP standard and related issues is conducted on this list.
          
          To subscribe to IMAP, send a message to
          [email-masked].
          
   [email-masked] 
          This list is for discussion of the C-Client library which is
          used by Pine and various other mail and IMAP clients and
          servers.
          
          To subscribe to C-Client, send any message to
          [email-masked].

Subject: How many sites use Pine?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Based on the number of people getting copies of Pine and its
documentation, we know for sure that Pine is used at over 12,000 sites in
60 different countries.  We do not have any way to count the exact number
of sites using Pine or the total number of users, but we estimate that 
well over one million people use Pine right now (12/94).  People are still
jumping on the Pine bandwagon -- about 4,000 new users each day -- so any
guess about the number of people who use Pine today will surely be too
small tomorrow. 

Subject: Can we use Pine source code in commercial products?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Pine and C-client source code is copyright by the University of
Washington, however it may be used without fee to the University of
Washington, even for commercial purposes, subject to the terms of the
copyright notice in the code.  

If you want to use Pine code in commercial products, you must retain the
indication of UW trademark and copyright and we ask that you also
"explicitly and conspiciously" indicate that there is no business
relationship of any kind between you and the University of Washington. 
Note that the copyright restrictions may not be the same in all versions
of the code, but the general information above pertains to all versions of
Pine up to and including the current 3.91 release. 

A related issue concerns use of the name Pine...

 "Pine and Pico are registered trademarks of the University of Washington.
  No commercial use of these trademarks may be made without prior
  written permission of the University of Washington."

If you have any doubts about what you need to do to use Pine commercially,
write to the Pine Development Team <[email-masked]> and ask. 

Subject: How do I send a message to lots people without showing all the names?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Put addresses and/or list from your address book in the Bcc: (blind carbon
copy) header field. You will see all the names and addresses as you
compose the message, but they are erased before arriving in other people's
INBOXes. The Bcc: header is not displayed automatically in the default
Pine configuration, so you may need to use the rich headers command
(Ctrl-R) while the cursor is in the header to expose it. 

Subject: How can I have a signature automatically appended to my mail messages?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Using your favorite text editor (e.g. Pico), create a file in your home
directory called .signature containing the text you want appended to each
message.
   
PC-Pine users should put their signatures in the file \PINE\PINE.SIG. 
   
For more details see Nancy McGough's Signature and Finger FAQ.  The 
hypertext version is at:

http://www.cis.ohio-state.edu/hypertext/faq/usenet/signature_finger_faq/faq.html

The plain text version is at:

ftp://ftp.halcyon.com/pub/ii/internet/signature_finger_faq

Subject: How can I filter messages into different incoming folders?
From: The Pine Development Team <[email-masked]>, Nancy McGough <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Pine does not do delivery filtering. That function is done by other
programs, such as "procmail" or "filter" or "deliver" or "mailagent." 
   
Once you have set-up your delivery filtering, e.g. via the "procmail"
program, then you will have new mail arriving in several different
mailboxes/folders, in addition to your INBOX. 
   
So then the question becomes, how do you access those new "incoming
message" folders that your favorite delivery filter program has created?

One solution is to just access them the same way you access your other
mail folders.  If they are in your default folder directory (usually
$HOME/mail) then just type L to list your folders and select the folder
you'd like to view.  If they are in a different directory, for example
$HOME/mail/IN, add that directory to your folder-collections by putting
this into your .pinerc: 

folder-collections=mail/[],
        mail/IN/[],

And then when you list your folders by typing L the mail/IN directory will
be in your list. 

Another solution is to use Pine's incoming-folders variable.  With this
method you can use the Tab key to tab through new messages in all your
incoming folders.  When you are at the last new message in one incoming
folder pressing the Tab key will move you to the next incoming folder with
a new message. 

Here is part of a sample .pinerc for setting up incoming folders: 
 
incoming-folders=Art151           {warhol.art.nowhere.edu}IN/art151,
                 Art-L            {warhol.art.nowhere.edu}IN/Art-L,
                 Old-Student-Acct {fozzie.elsewhere.edu}INBOX

In this case, the pinerc entries presume that your delivery filtering
program has been configured to put mail relating to the Art151 class into
the folder "IN/art151" and mail relating to the Art-L mailing list into
"IN/Art-L". 
   
>From the Folders List screen, you can then easily access those folders.
Eventually we will have a way to indicate which of these may have new mail
waiting for you, so that you don't forget that you have more than one
place to look for new mail. 
   
For a more detailed treatment of filtering, see the Filtering Mail FAQ and
the Procmail FAQ.  The hypertext version of these are available at: 

http://www.cis.ohio-state.edu/hypertext/faq/usenet/mail/filtering-faq/faq.html
http://www.cis.ohio-state.edu/hypertext/faq/usenet/mail/procmail-faq/faq.html

The plain text versions are available at:

ftp://ftp.halcyon.com/pub/ii/internet/filtering_mail_faq
ftp://ftp.halcyon.com/pub/ii/internet/procmail_faq

Subject: How do I define my own headers like Reply-To and Organization?
From: Nancy McGough <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

In Pine 3.90, and later versions, you can set Reply-To, Organization,
and other headers using the customized-hdrs variable.

1. From the Main Menu type s for Setup
2. Type c for Configuration
3. To change the value of the customized-hdrs variable:
   a) To use the Where command type: w
   b) At the prompt type: customized-hdrs
   c) To Add a value type: a
   d) At the prompt type: Organization: Your Organization Name
   e) Repeat steps c and d for other headers such ast Reply-To

   Note that Pine understands environment variables so you
   can use lines like the following (if the variables are set):
      Organization: $ORGANIZATION
      Reply-To: $REPLYTO

While reading a message that you've received you can view all headers by 
typing h.  If h does not work you need to go to your configuration menu and 
set the enable-full-header-cmd variable.

While composing a message you can view all the headers by placing the cursor
in the header region and typing ^R (view rich headers).

Customized headers are not available in Pine 3.89 and earlier.

Subject: Can I use Pine non-interactively, e.g., in a shell script?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

This is not currently possible.  If it were possible you could use Pine,
and your Pine addressbook, to mail people from within a shell script, at 
the end of a pipeline, etc.

Subject: When I get new mail, xbiff lets me know about it, but pine doesn't know about it.
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

There are currently two ways to force a new mail check. 
     * Press `Ctrl-L' (Refresh Display). 
     * At the last message in a folder, press 'N' 4-5 times. 

Subject: How can I read a ROT13 encoded message?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

When viewing the message, use the '|' (Pipe) command and give it the
following: 

        tr '[A-Za-z]' '[N-ZA-Mn-za-m]'

You could also write a script, maybe called unrot, that does this and then
pipe the message to the script. 

In order for the pipe command to work you need to be using Pine 3.90 or 
higher and have the enable-unix-pipe-cmd variable set.

Subject: Can I eliminate the @host.domain from local addresses?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

This is not a new idea.  It's a very old idea, in fact, and just about
everyone who has ever dealt with email has had it at one time or another. 
Regretably, it has come to be recognized as a bad idea.  Here's why: 

An email address without a host name is not syntactically valid according
to RFC822.  Now, it is true that RFC822 only specifies what must be done
in messages which are transmitted over the network, and that strictly
local messages are not under RFC822's dictates. 

This means that there are two formats of email, one that conforms to
RFC822 and one that does not.  Careful efforts must be made to ensure that
the non-conforming mail format never escapes the local system onto the
network. Twenty years' of experience has shown that it is impossible to
guarantee that the non-conforming format does not escape into the network,
even in the face of traps to catch such messages on their way out and
convert them to RFC822 conforming format.  Indeed, such traps have often
contributed additional problems on their own. 

The non-conforming format is ambiguous as to what host is intended.
Although the off-the-cuff solution (and the one that everyone implements)
is ``use the local host'', numerous examples have occurred in which this
leads to wrong behavior.  For example, it may be the ``local mail center''
instead of the ``local machine which is a single-user workstation''.  Or,
if a one of the non-conforming messages escaped on to the network, it's
some remote system and we have no idea at all what system that may be! 
There's no way for the mail reader to tell; a human may infer from context
but often does so by using information that is not available to the
program. 

The Pine team has spent long (and at times heated) meetings reviewing this
issue, before coming to the conclusion (as other email groups have
independently done) that it's a no-win situation.  The policy of the email
development community for 15 years (since the RFC733 discussions) has been
to exterminate the non-conforming format by not implementing it in modern
mail tools. 

It may be feasible to implement a feature in a future version of Pine that
would suppress the display of the local host name in email addresses. That
is, the host name would still be in the file on disk, but would not show
up on the screen.  We'll consider it, but we have a large list of very
high priority tasks which must be done first. 

Subject: How can I use the 'ispell' spell-check program in pine and pico?
From: Michael Ramey <[email-masked]>
To: Pine FAQ Inbox <[email-masked]>
Date: Thu, 17 Aug 1995 17:44:05 -0700 (PDT)

Why use Ispell with Pine (and Pico)?
------------------------------------

 - it allows you to add words to a private dictionary so that your name
   (technical words, etc.) will not be reported as errors;

 - it offers correct spellings for misspelled words, and you can 
   select one of the offered alternatives by pressing a single key;

 - it spell checks the document from top to bottom (rather than jumping
   around in alphabetical order) so you can anticipate the next words to 
   be checked;

 - because it checks from top to bottom, you can stop the program after
   checking your reply (at the top) without checking the message you are
   replying to.

How do I use Ispell with Pine (after it is installed) ?
-------------------------------------------------------

After you have installed Ispell in pine, when you are entering a message
into the pine composer and the cursor is in the "Message Text" area of the
screen, you can press ^_ (Control-underscore), to check the spelling of
your message.  The message header cannot be spell-checked.  

Inside the ispell program, you can press the following keys: 
   ?      Help for ispell
   space  Accept the word - this time only
   A      Accept the word - for the rest of the file (message)
   I      Accept the word - and Insert it in your private dictionary
   0-9    Replace the word with one of the suggested alternatives
   R      Replace the word completely (then you enter the replacement)
   Q      Quit checking this file - corrections will be saved
   X      Exit immediately - corrections will be lost

If the spell check halts and you see "(INTERRUPT)" in the upper-left
corner of the screen, just press the <SpaceBar> to continue.  Generally
when this happens, the spell check is complete.  See 'man ispell' for 
more information on the ispell program. 

How do I install Ispell in Pine ?
---------------------------------

There are a couple ways to use Ispell within Pine; method #1 is usually
all you need to do.  It's very easy; just follow the instructions below. 

PINE -- METHOD #1:
Set your alternate-editor to ispell, then you can press ^_ 
(Control-underscore) in the composer to invoke ispell. 
To do this, follow these steps (press the "key" in each step):

 - Check to be sure that the ispell program is installed on your system,
   and use the correct directory path; at the unix prompt, enter the 
   command: 'which ispell'.  The following instructions assume output 
   from this command was '/usr/local/bin/ispell'.
 - start the 'pine' program
 - from the "M"ain-Menu of pine
 - press "S"etup
 - then "C"onfig
 - then "W"hereIs and enter 'editor' (without the ' marks) 
   and press <ENTER>
 - press "W"hereIs and <ENTER> until you find the line:
      editor = <No Value Set>
 - press "A"dd-Value, and enter '/usr/local/bin/ispell' (without 's)
   and press <ENTER>
 - you should now see:
      editor = /usr/local/bin/ispell
 - if so, press "E"xit-Config, and you are done!

You can still press ^T to use the standard pine spell-checking program
(which will -not- use your personal dictionary, and will not offer 
suggestions for correct spelling).

PINE -- METHOD #2:
Pine already checks the SPELL environment variable to locate the spell 
checking program, so you can create the following script and name it 
'spell': 

        #!/bin/sh
        ispell -l

To make ^T in pine use 'ispell' and your private dictionary: 
  - make the above script file 'spell' in your home directory 
  - make it executable: 'chmod u+x spell' 
  - set the environment variable SPELL: 'setenv SPELL $HOME/spell' 
    (include this command in your .profile, .cshrc or .login file) 

Now, when you press ^T in pine, you will execute the ispell program, and
it will recognize words stored in your private dictionary.  The screen
display will look like pine is using the standard spell-checking program,
except words will be checked from top to bottom in the message, rather
than in alphabetical sequence.  This method does not allow you to Insert
words into your private dictionary.  However, this might be useful with a
central script file (setenv SPELL ...) and a central private dictionary
(ispell -p ...) to provide a common private dictionary for an entire
workgroup.  The manager could add items to the private dictionary; other
people could use the private dictionary (^T), but they could not change
it. 

PICO:
To use ispell with pico (the stand-alone editor):
 - implement the 'ispell' program via ^T (CTRL-T) (using the script file) 
   in addition to implementing it via ^_ (CTRL-_) (using pine "S"etup, 
   "C"onfiguration as described above).

Use ^T in pico to use the ispell program and your private dictionary 
(but without the ability to add words to the dictionary).  You cannot 
use ^_ in pico; it is an "Unknown Command".  You can use ^T-ispell in 
pine also, but why bother when ^_ works better. 

[MRamey] 

Subject: Why doesn't "attached-to-ansi" printing work?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

So-called "attached-to-ansi" printing relies on the communication software
you are using to interpret certain special characater sequences that tell
it to divert the incoming stream of characters to your printer, and then
back to your screen.  Perhaps 99% of "pine printing problems" are either
due to PC or Mac communications software that doesn't understand ANSI
escape sequences for printing, *or* (in the dialin case) softare flow-
control problems. 

We didn't understand how big a problem software flow control was 
until 3.90 came out... we changed pine to intercept flow control 
characters so that users would not see Pine "wedge" mysteriously if a 
mis-type or noise generated a control-S, but that did bad things when 
printers, modems, or comm software was depending on s/w flow control.

So in 3.91 we added the "preserve-start-stop-characters" feature, so that
Pine could be configured to respect s/w flow control characters (if the
operating system did) for those folks who needed them.  Enabling this feature
should make Pine 3.91 behave the same way as earlier versions. 

Then we discovered that some operating systems don't enable software flow
control by default.  So in 3.92, the "preserve-start-stop-characters" 
feature will do more than simply "not ignoring" them, it will try to force
the OS to pay attention to them.

So here's the sequence of things to try if you have pine printing 
problems:

 1. CHECK FOR SOFTWARE FLOW-CONTROL PROBLEMS:
    A. Try enabling "preserve-start-stop-characters"  <- requires 3.91
    B. If that doesn't help, verify that the OS is enabling s/w flow
       control; if it isn't, you can either change that in a global 
       .login script, or as a worst case, wrap pine in a script that does 
       it.  By the way, on our AIX systems, we had to execute "stty -ixon"
       followed by "stty ixon" --no one here knows why the first stty
       is needed.  (Note that explicitly enabling s/w flow control in the OS 
       will not be needed in 3.92).
    C. If neither of the above apply, double-check that you actually have
       *some* kind of flow control enabled on your system, either hardware
       or software.
 2. CHECK YOUR COMM SOFTWARE FOR ANSI PRINTING CAPABILITY
    A. After ruling out s/w flow control problems, if printing still 
       doesn't work, the odds are that the PC or Mac comm s/w is at fault.
       I don't know how to determine this other than via trial-and-error
       and word-of-mouth.  
    B. The "ansiprt" utility included in the pine distribution can also 
       be used for testing.  It simply sends the specified text file to 
       user's terminal device, bracketed with the ANSI escape sequences 
       for print diversion.  This is just what Pine does as well (although
       some versions of ansiprt offer a few options not available via Pine.)
 3. POSSIBLE OTHER PRINTING PROBLEMS
    A. Printing via Pine's "attached-to-ansi" facility to a postscript-only
       printer.  Pine does not yet have the ability to encapsulate text
       into postscript, ala "enscript", so the custom print option using 
       enscript and ansiprt will be needed in that case.
    B. Other printer-specific configuration problems.  For example, 
       whether or not the printer needs a trailing formfeed to eject the 
       last page, or a control-D, or non-Unix newline conventions, etc.
       Many of these problem will also require using the custom print 
       command option and "ansiprt".

Subject: What PC comm software works with the "Print to ANSI" print option?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

The attached-to-ansi option works on most PC communication packages. In
particular, Kermit, NCSA Telnet, and WinQVT have been tested. 
   
Brent Blumenstein <[email-masked]> reports "It works in under OS/2
using IBM's TCP/IP for OS/2 telnet capabilities (provided you have updated
to the latest corrective service diskettes - readily available). I do this
using both a token ring network connection and SLIP from home."
   
Ryan <[email-masked]> reports "Works great with QmodemPro for DOS."
   
Ben Cacace <[email-masked]> reports "I'm using ProComm Plus for Windows
ver 1.02: I can print E-Mail if it is *not* a large memo (memos of 48K or
larger give me a ProComm error message)."
   
Nancy McGough <[email-masked]> reports "It works with Delrina's WinComm. 

Other packages will be listed as reports come in.  Please send reports to
[email-masked]. 

IMPORTANT NOTE
==============
If you have a postscript printer and you are printing from a MS Windows 
Comm program you need to use a non-postscript printer driver.

Subject: What Mac comm software works with the "Print to ANSI" print option?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

The UW modified versions of Kermit and NCSA Telnet are known to work with
the attached-to-ansi print option. Versaterm Pro is also reported to work. 
   
Other packages will be listed as reports come in.  Please send reports to
[email-masked]. 

Subject: What Amiga comm software works with the "Print to ANSI" print option?
From: David Miller <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

David Miller <[email-masked]> reports "Term 3.2 starts printing,
but misses the sequence to stop printing.  Term 4.1 printing is garbled."

Other packages will be listed as reports come in.  Please send reports to
[email-masked]. 

Subject: How do I read News with Pine?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Beginning with version 3.91, it is usually sufficient to set the
nntp-server variable, via the Setup/Config menu. This will automatically 
define a default news-collection.  In case the default is not appropriate 
for your site, the following details may help...

Three ways to access news via Pine: 

    1. Via NNTP. Your .newsrc file must be on the machine where Pine is
       running. Assuming news is stored on the machine news.nowhere.edu,
       a typical .pinerc entry would be: 
       
           news-collections = News *{news.nowhere.edu/nntp}[*]
   
       Note that if the nntp-server variable is set, your
       news-collections will default to NNTP access from that same server.

    2. Via IMAP. Your .newsrc file must be on the machine where news is
       stored. Assuming news is stored on the machine news.nowhere.edu, a
       typical .pinerc entry would be: 
       
           news-collections = News *{news.nowhere.edu}[*]

    3. Local News. If news is stored on the same machine you run Pine on,
       you can specify: 
       
           news-collections = News *[*]

The advantage of IMAP newsreading is that the same .newsrc can be used for
both Unix Pine and PC-Pine. The disadvantage is that you must have an
account on the machine that stores the news and runs the NNTP server. 

Subject: Can I post news with Pine?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Versions of Pine prior to Pine 3.90 do not support posting. In Pine 3.90
and later you can enter a list of newsgroups on the Newsgrps: header to
post a message.  If the Newsgrps: header is not displayed when you are
composing you can view it by putting your cursor in the header and typing
^R to view rich headers.

Subject: Why does Pine encode text attachments?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Pine uses MIME's Base64 encoding for *all* attachments, including text, in
order to assure that they are not modified in transit. The goal is make
sure that sending file attachments in Pine is as dependable as using FTP.

Although it may seem like encoding is unnecessary for files that are
plain text, certain email gateway, trasport, and delivery agents pose
a threat to the integrity of even text files (much less binary files).
For example, long lines may be wrapped, trailing spaces deleted, tabs
turned into spaces, lines beginning with "From " modified, etc.
Pmay there are actually several potential sources of corruption

Subject: How can someone without Pine decipher an attachment?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Pine uses the MIME Internet standard for attaching files to email messages.
Any MIME-capable mailer should be able to understand Pine's attachments.

If you use Pine's attachment feature, your recipient needs to have either
a MIME-capable mail reader or software that can decode MIME. Fortunately,
these are not hard to find. The major proprietary mail vendors have
committed to MIME support, but some of their upgraded products are some
months away.  One freely-available program which can decipher a MIME
attachment is munpack from Carnegie Mellon. It is available at: 
   ftp://ftp.andrew.cmu.edu//pub/mpack

Subject: How can I send a text file without it being encoded?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

This is easily done by using Pine's "file inclusion" key (Control-R).
Instead of entering the file name on the Attchmnt header line, move
the cursor to the bottom of your messaage, and press Control-R, then
enter the name of the text file.  It will be included at the end of 
your message without any encoding (unless the file contains 8bit or
binary characters, in which case the entire message becomes subject
to MIME encoding rules.)

Subject: Why does Pine use Base64 instead of UUENCODE?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Pine uses the Internet MIME (Multipurpose Internet Mail Extensions)
standard for all attachments.  MIME uses "Base64" encoding rather than
uuencode, because uuencode uses characters that are transformed by some
email gateways, and there are also several incompatible versions of
uuencode.  However, if needed, you can certainly uuencode a file outside
of Pine, then use the Composer's Ctrl-R (file inclusion) command to insert
the uuencoded file into the message. 

Subject: How do I convert a Sun Mailtool attachment to MIME format?
From: David L Miller <[email-masked]>
To: David L Miller <[email-masked]>
Date: Tue, 15 Aug 1995 17:06:22 -0700 (PDT)

Keith Moore <[email-masked]> has written a Perl conversion script to
convert Mailtool to MIME.  The Perl script and C conversion are
available in

	ftp://cs.utk.edu/pub/MIME/sun-to-mime.perl.Z
	ftp://cs.utk.edu/pub/MIME/sun-to-mime.c.Z

The following is from

        ftp://cs.utk.edu/pub/MIME/sun-to-mime.README

This is a simple filter that takes Sun OpenWindows 3 messages as input,
and produces MIME messages as output.  It's written in perl, so you
need perl installed to run it.

As shipped, the perl program may call uudecode to undo the effects of
uuencoded files, and uuencode to convert binary files to base64 (!).
It calls "zcat" to uncompress files.  Finally, it needs a program
to convert Sun raster files to some other format (like GIF) that
MIME supports.  As supplied, it uses the "convert" program
(part of ImageMagick) to do this, but some other program or set
of programs (like the pbm stuff: "rasttopnm | ppmtogif") will also
work.  Just change the line that calls "convert" to use whatever you
have.

If you are using MH 6.8 or later with MIME support, put this in
your .mhn-profile file (or wherever $MHN points):

mhn-show-x-sun-attachment/: sun-to-mime.perl | mhn -file - -show

If you are using metamail, put this in your .mailcap file:

x-sun-attachment; sun-to-mime.perl < %s | metamail -T ; needsterminal

Enjoy!

Keith Moore
[email-masked]

Subject: If I postpone a Reply, Pine never marks it as answered.
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

This is a known limitation of the current release of Pine. When you
postpone a composition, Pine does not have any way to keep track of which
message was being replied to (or that it was a reply at all). This
limitation will be removed in a future release. 

Subject: "Folder Format Invalidated (consult an expert), aborted"
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

The message "Folder Format Invalidated (consult an expert), aborted" means
that Pine was reading your mail folder, and at the point in which it
expected a start-of-message header line, it found something else. 
   
The ``format invalidated'' condition can happen in one of three ways: 
    1. bad data exists at the beginning of the folder. 
    2. data was appended to the folder after Pine initially read it, and
       the new data did not begin with a start-of-message-header. 
    3. the folder was modified without Pine being aware of it. 
       
All three problems are generally caused by software external to Pine. 
   
Condition (1) can be determined by whether or not the problem repeats
itself after restarting Pine. If restarting Pine does not make the problem
go away, then you need to look at the actual file for the folder and see
what is wrong with the very first line. In particular, make sure that
there are no blank lines at the beginning of the file and that the first
character of the folder file is a capital ``F'' , the second an ``r'', the
third an ``o'', etc.  In the case of an INBOX, you may want to rename the
folder so that new mail can be delivered while repairs on the corrupt
folder are being done. 
   
Condition (2) may be caused by a mail delivery process (e.g. /bin/mail)
which writes some characters other than ``From '' at the beginning of the
new data. 
   
Condition (3) is caused by another program manipulating the mail folder
without following the normal folder locking protocols.  This is a general
problem on UNIX. 
   
Conditions (2) and (3) have also been known to occur when accessing
folders via NFS, if the information returned by the stat() and read()
system calls do not correspond with each other as a result of NFS
attribute caching. 
   
Restarting Pine on that folder always clears conditions (2) and (3). If
the problem is chronic, it may be worth an investigation to determine its
cause. Usually, it is due to the misbehavior of some external software.
The reason why Pine gives up with conditions (2) and (3) is that it does
not want to risk damaging user data by guessing what is right. Pine never
writes to the folder unless it is absolutely sure it knows what it is
doing. 
   
There are some steps which can be taken to reduce the risk of these
conditions coming up. Some of these steps may require the assistance of
your system adminstrator (or whomever it was that built and installed Pine
on your system): 
    1. Use IMAP instead of NFS to access remote folders. Problems with
       locking over NFS are perhaps the single most important cause of
       user difficulties.  Using IMAP eliminates this class of problem.
    2. Consider enabling the mbox driver in Pine. If the mbox driver is
       enabled, mail is transferred from the /usr/spool/mail mail into a
       file called mbox in your home directory, if mbox exists. The home
       directory mbox file is then your INBOX. This has the advantage
       that Pine and the mail delivery system are less often in
       contention for the INBOX, and never both trying to update it.
       Pine only empties the /usr/spool/mail file, it never tries
       updating it. 
    3. Be careful not to run other programs that modify your folders
       while you are running Pine. Such programs may change the folder
       out from under Pine, and lead Pine to conclude that there is a
       problem with its view of the file. 

Subject: What is folder locking and how does it work?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Locks are used by Pine and other mail programs to prevent damage from
occurring to the mail file when multiple programs try to write to the file
at the same time. 
   
Because there are many different schemes of mail file locking used on
UNIX, Pine implements all of them. The result is a lot of complexity. 
   
There are several reasons why locking needs to be done:
   
    1. If you want to read the mail file, you want to make sure that no
       other process will modify the mail file while you are reading it.
       
    2. If you want to write to the mail file, you want to make sure that
       no other process is accessing the mail file while you are writing
       it.
       
    3. If you have the mail file open, you want to make sure that no
       other process can alter any of the internal contents of the mail
       file that you have read, but it is OK if another process appends
       new data to the mail file.
       
    4. If you want to alter any of the internal contents of the mail
       file, you want to make sure that no other process has the mail
       file open.
       
There are several mechanisms of locking:
   
     * The creation of a file which has the same name as the mail file,
       but with a suffix of ".lock" (for example, this lock for
       /usr/spool/mail/isma is named /usr/spool/mail/isma.lock). This
       file accomplishes locks (1) and (2) above. This is an exclusive
       lock. 
     * The use of an flock() with LOCK_SH on the mail file. This
       accomplishes lock (1), and prevents lock (2). Multiple processes
       can do this. 
     * The use of an flock() with LOCK_EX on the mail file. This
       accomplishes lock (2), and prevents lock (1). This is an exclusive
       lock. 
     * The use of an flock() with LOCK_EX on a file on /tmp. The file
       name used depends upon the version of Pine. This accomplishes
       locks (3) and (4). This is an exclusive lock. 
       
On SVR4-based systems, the lockf() subroutine or fcntl() system call it
used instead of flock(). It is rumored that this creates a kind of lock
file as well, but this has not been directly verified. 
   
_NOTE: flock() on BSD systems does not work over NFS, so only the most
basic .lock file locking -- locks (1) and (2) happen over NFS. On SVR4
systems, fcntl() locking attempts to work over NFS, but there are known
problems in the rpc.lockd daemon which have caused hangs if an application
beats on the mechanism too much (and Pine beats on it). All of the above
mechanisms work reliably over IMAP connections._

Subject: What happens when two Pine sessions access the same mailbox at the same time?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

This varies depending on what format your folders are stored in. With the
default Berkeley format, the last session to open a folder will get full
access to the folder and the previous session(s) will be changed to
read-only access. When a folder is read-only, you will not see any further
updates to that folder until it is reopened with full access. Currently
the INBOX cannot be reopened without exiting and restarting Pine. With the
Tenex format, any number of sessions can simultaneously have full access
to a folder, with the exception that expunging is disabled. See "What is a
Tenex mailbox and why should I use it?" for more information. 

Subject: Why did I get the message "locked, override in _XXX_ sec"?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

The message "locked, will override in _xxx_ seconds" occurs when Pine has
discovered that some other mail program claims to be accessing your mail
folder (i.e. _folder_.lock exists). This is a very low-level lock used by
programs such as the system mailer in delivering mail, and by certain
programs such as mail, elm, babyl, mm, etc. Supposedly, this lock is only
to be acquired and held for a very short period of time (less than a
second). 
   
It starts with 285 seconds, retries every second, and issues that message
every 15 seconds. The total period of time, 5 minutes, is the time that it
will keep on trying before it concludes that the lock is false -- that is,
that whatever program locked the folder forgot to unlock it (perhaps it
crashed) -- and Pine will go ahead and claim the lock for itself. 
   
This is not due to a conflict between two copies of Pine, since Pine
interlocks against itself in a higher-level fashion. 
   
_NOTE: On some systems with 14 character filename limits, attempting to
open a folder with a 14 character name (e.g. saved-messages) will trigger
this sequence. Folder names should be limited to 9 characters or less on
those systems._

Subject: Why doesn't Pine recognize Content-Length header field?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

It would be a significant detriment to the performance of the Berkeley
format mailbox parsing code, as well as to Pine's behavior on normal
systems which do not use the Content-Length: header, if any attempt were
made to implement Content-Length:. 

There are many serious technical problems with the Content-Length: 
header, and we do not recommend its use.  Furthermore, we recommend that a
mail delivery agent such as our sendit or tmail tool be used that applies
smart quoting, as opposed to the ordinary BSD /bin/mail quoting of all
lines that begin with "From ".  We have installed such tools on all of our
systems. 

For example, one problem is that a system whose mailer does not implement
Content-Length: will also not enforce its validity should that header
appear. This offers significant potential for mischief.  Another problem
is that Berkeley format mailbox files which use the Content-Length: header
can not be edited with an editor such as emacs or vi without invalidating
the Content-Length: field.  If this problem is not a consideration at your
site, we recommend the use of the tenex format (mail.txt), which is also
length tagged but in a much more efficient fashion. 

>From our perspective, these problems outweigh any possible benefit of
supporting Content-Length: in Berkeley format mailbox files.  At the
present time there are no plans to do so. 

Subject: How do I "paste" an address from the addressbook into the text of a message?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Pine does not currently support this directly, but here is a work-around: 
    1. Move the cursor to the Cc: line. 
    2. Enter the nickname or press Ctrl-T to search the addressbook and
       select the entry. 
    3. Use Ctrl-K to delete that address from the Cc: line. 
    4. Move the cursor where you want it in the body of the message. 
    5. Press Ctrl-U to insert the address. 
       
   This is a round-about way to get the job done, but it works...

Subject: How do I convert Berkeley Mail aliases to Pine Addressbook?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

The Pine source distribution includes a shell script to do this in the
contrib/utils directory. It is called brk2pine.sh. 

Subject: How do I convert Elm aliases to Pine Addressbook?
From: Klaus Wacker <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

I wrote my own perl script, which I claim digests everything elm accepts
and converts it into something pine accepts. Please tell me if you find
otherwise. I intend to use this script regularly to keep system-wide
aliases and addressbooks in synch. It is archived at:

  http://www.Physik.Uni-Dortmund.DE/wacker/elm-to-pine

A copy is below. 
#!/usr/local/bin/perl
# 
# elm-to-pine: Convert elm aliases file to pine address book
# Author: Klaus Wacker ([email-masked])
#
# Usage e.g.
# elm-to-pine ~/.elm/aliases.text >~/.addressbook
#

# get a line, combining continuation lines
#  that start with whitespace
# (taken from the perl man page and modified)
sub get_line {
    return 0 if eof();
    $thisline = $lookahead;
  line: while ($lookahead = <>) {
      if ($lookahead =~ /^[ \t]/) {
	  $thisline .= $lookahead;
      }
      else {
	  last line;
      }
  }
    $thisline;
}

$lookahead = <>;	# get first line
while ($_ = do get_line()) {
    next if /^\#/;		# Skip comments
    chop;
    s/\t/ /g;			# Lets not get confused by any tabs in the file
    ($nicks,$name,$address)=split(/ *= */,$_,3);
    @nick=split(/ *, */,$nicks);
    ($fullname,$remark)=split(/ *, */,$name,2);
    $fullname =~ s/;/,/;	# Lastname[;,] Firstname
    if ($address =~ /,/ ) {$address="(".$address.")";} # Its a list
    foreach $nicki (@nick) {	# Pine doesn't allow multiple nicknames
	printf "%s\t%s\t%s\t\t%s\n",
	$nicki, $fullname, $address, $remark;
	$address = $nick[0];	# Let additional nicks point to the first one
    }
}

Subject: Can Kerberos or AFS authentication be used with Pine?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Not yet, but Kerberos support is planned for a future release of Pine. If
you have access to Kerberos or AFS compatible IMAP clients already, the
following information may be useful. 
  
The current version of imapd does not support AFS or Kerberos
authentication.  However, the routine which validates authentication is
designed as a drop-in module, to allow you to replace with alternative
authentication schemes such as AFS, Kerberos, S/Key, etc. 
   
This routine is server_login(). Depending upon which version of c-client
you have, it is either in the os__xxx_.c (where _xxx_ is the name of your
port) or it is in a file named log__yyy_.c which is included by the
os_xxx.c file. 
   
The log__yyy_.c is usually log_std.c (std for "standard UNIX"), but it may
be log_sv4.c (SVR4) or a couple of other variants. This file only contains
that one routine, so it should be a simple matter to modify that file and
rebuild imapd. 

Subject: Can PC-Pine be used with a POP server?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

No.  Neither Pine nor PC-Pine currently support POP's offline mail model
(wherein pending mail is pulled from the mail server to the local machine
and deleted from the server).  However, it is likely that this model will
be supported, with a choice of either IMAP or POP as the access protocol,
in a future release. 

Subject: What is a Tenex mailbox and why should I use it?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Using the Tenex format for INBOXes allows multiple sessions (or mulitple
users, subject to the usual access controls) to have *almost* full
Read-Write access to the INBOX. The only limitation on full RW access is
that if there are multiple sessions at a given moment, no one can do an
Expunge. However, message state changes (e.g. marking a msg as deleted)
*can* be done, and this state is preserved across sessions. 
   
If an explicit Expunge command fails, it will say so and tell you that the
mailbox is in use by another process. When there is only one session left
using that mailbox, expunge will resume working again. 
   
In contrast: the normal Berkeley style folders can have only one RW client
at a time, so _given the current software_ the latest session steals the
RW lock away from any previous session, with the earlier session becoming
RO. 

NOTE:  Mailbox format for INBOX is a function of the mail transfer agent
(sendmail, tmail), not the mail user agent (Pine), so this is a decision
for sys/mail admins, not for regular Pine users. 

Subject: Where does Pine look for configuration information?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

In Unix and PC Pine 3.90 and higher, the Release Notes (Press "R" on the 
Main Menu) contain a section on Configuration, including default file names 
and environment variables.  Almost all personal configuration can be
accomplished through the Setup (S) command on the main menu. 

Unix Pine uses three configuration files:  a system-wide defaults file, 
a system-wide non-overridable settings file and a personal coniguration file.
If you need to generate a "blank" copy of the system wide configuration
files, run "pine -conf > /usr/local/lib".  If, for some reason, you need to 
generate a blank personal configuration file, run "pine -P pinerc.blank".

Subject: How do I make Pine work with my older terminal?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Pine does not support some older terminals (e.g. tvi925, WYSE-60) very
well. Some problems can be overcome with a proper termcap entry, but
others, such as handling cursor keys, do not have a good solution. 

Subject: How do I configure Pine to not leave mail in /usr/spool/mail?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

You have several options:
   
    1. Leave inbox in /usr/spool/mail, but turn on the Pine option to
       prompt users to move read messages to a folder in their home
       directory upon exiting Pine. 
    2. Modify your mail delivery program to deliver mail directly into
       the user's home directory, and specify that inbox-path in your
       global pine.conf (See the "tmail" program on
       ftp.cac.washington.edu for an example.) 
    3. "touch mail.txt" in each home directory, which will cause Pine
       (upon startup) to pull mail from /usr/spool/mail into ~/mail.txt
       -- however, mail.txt will be a Tenex-format, rather than Berkeley
       mail format folder (faster, but non-standard). 
    4. Link in the "mbox" driver when you build Pine. This driver will
       (upon Pine startup) pull mail from /usr/spool/mail into ~/mbox,
       which will be a Bky-format folder. 

Subject: To what platforms has Pine been ported?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

The Pine distribution includes binaries for AIX 3.2 (on RS/6000), HP/UX
9.0, Linux 1.1, NeXTStep (on NeXT hardware), SunOS 4.1 (on SPARCStations),
Solaris 2.2, Ultrix 4.1 and 4.2 (on DECStations), MS-DOS (PC-Pine) and
MS-Windows (PC-Pine for Windows). 
   
PC-Pine is available for the following TCP/IP stacks: FTP's PC/TCP,
University of Waterloo's WATTCP stack with packet drivers, Novell's LAN
Workplace, Sun's PC/NFS, and Winsock. 
   
Pine has been compiled on other UNIX platforms (4.3 Berkeley UNIX, DEC
OSF/1 V1.2A, Dynix/PTX V1.4.0, VAX Ultrix 4.1, A/UX 3.0, BSD/386 Gamma
4.1, Convex, Dynix 3.0 and 3.1 on Sequent Symmetry, Interactive Systems
Corporation UNIX, Silicon Graphics IRIS with IRIX 4.0.1, SCO Unix, System
V release 4) as well. 

Subject: Pine 3.89 on an IBM RS/6000 running AIX 3.2.3 crashes every time I try to open a folder.
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Some AIX distributions apparently include a compiler that does not
correctly compile certain constructs used in Pine 3.89 and earlier. We
think that Pine 3.90 works around the problems but it is difficult for us
to confirm this since there is considerable variation among AIX systems.
We have also not been able to identify a particular version or patch of
AIX or the compiler that is the culprit. 

Subject: I cannot compile under SCO unix, why not?
From: Gunther Anderson <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Pine has been tested and compiles just fine on a suitably equipped SCO
Unix 3.2.4, and probably works on the whole 3.2 series (testing has not
been as extensive).  It handles both MMDF and sendmail mailboxes without
needing recompilation.  It should be sufficient just to unpack the source
tree and run "sh build sco" at the top level.  You need to own the
complete Development System, and the Developer's Versions of the other
packages.  Pine will not compile without TCP/IP support. 

The most common problem is when people own the Development System, but
keep getting missing header files (netbd.h is one) in their builds.  This
is a common problem on SCO systems because of the great fragmentation SCO
enjoys in the marketing of system components.  It is easy to get confused
about just what you've bought.  And in this case, haven't bought. What you
need is the "Developer's Version" of the TCP/IP product.  The normal
version just supports the TCP/IP protocol, but doesn't include tools
(including header files) to compile TCP/IP-specific programs.  Alas, the
only remedies available to you are to pick up a pre-compiled version (mine
is on odi.cwc.whecn.edu, ftp.celestial.com has their own, which prefers
Bezerk mailboxes, though it supports MMDF too), or to buy the Developer's
Version of TCP/IP.  If you intend to do any serious compiling of Internet-
available programs, I'd recommend the latter, though many of the most
useful ones are available precompiled on other FTP sites.

Subject: Why should I use the builtin Bug Report command?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

Using the built-in Bug Report command (B on the Main Menu or any Help
screen) is useful because it will automatically include configuration
information that may be essential to determining the cause of the problem
you are experiencing.  It also gives you the opportunity to conveniently
include the current message as an attachment in case you believe that 
the problem is specific to that message.

Subject: Why does the Bug Report Screen come up when I didn't ask for it?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

We don't know yet.

Subject: I have found a bug in Pine 3.05. Could you please fix it?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

When a bug is identified in an old release, there is a very strong
possibility that the associated code has been re-written to the point that
a fix will not apply to the current release.  Hence, if we can't reproduce
the problem in the current version, our standard response will be to ask
you to upgrade. 

Subject: What are the current versions of Pine and related software?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

The current version of Pine is 3.91. The current version of Pico is 2.5. 

Subject: What is new in this version of Pine?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

These are the changes and improvements since Pine 3.89: 
     * Finished all the "Not implemented yet" commands: 
          + Bounce (Remail) 
          + Flag (Set message status) 
          + Pipe (Pipe msg to external cmd; Unix only) 
          + Select,Apply,Zoom (Aggregate operations) 
          + Setup/Config (Pinerc configuration screen) 
     * News posting 
     * News subscription/unsubscription 
     * Multiple address books 
     * Postpone multiple messages 
     * Customizable headers for Composer 
     * Mailcap support 
     * Improved support for multiple incoming message folders 
     * enable-alternate-editor-implicitly feature (except for editing
       headers) 
     * All .pinerc features now settable from command line 
     * Way to control which options are user-configurable (Unix only)
     * Way to have Save *not* implicitly delete 
     * Way to use current-working-directory for Export, Read File, etc. 
     * A _preliminary_ version of PC-Pine for Windows/Winsock (but not 
       OS/2) 

Subject: When is the next release of Pine (tentatively) scheduled?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

We don't know right now.  3.92 is under active development, but no dates
yet.  Besides, our track-record on meeting projected release schedules is
terrible, so you shouldn't believe any dates we are foolish enough to
suggest anyway. 

Subject: What new features will future releases of Pine include?
From: The Pine Development Team <[email-masked]>
Date: Tue, 10 Feb 95 15:40:48 -0800

The list for 3.92 is not frozen yet.  This release will have a number of
bug fixes, but it will also introduce several new features.  Some of
the things we know will be there include:

 o Fix for some pine.conf variables not working (e.g. local bug address).
 o Delete flag will no longer be preserved on Save.
 o Bky mbox format performance bug fixed.
 o Reply prompt will change if there is a Newsgroups header present.
 o Improvements in software flow-control handling.
 o Improvements in bug report command.
 o Ability to specify an alternative to the sendmail MTA.
 o Support for negotiating 8BITMIME with an ESMTP server.
 o Mouse support for use with X terminals.
 o Pull-down command menus in the Windows version.
 o Feature to disable capture of pipe command output.
 o Ability to use mailcap viewer for attachments of type TEXT.
 o Support for .mime.types file to specify attachment types.

After 3.92 is released, here are a few of the things that we plan to 
work on:

     * Additional MIME support, esp. controlling file TYPING 
     * PEM and/or PGP support 
     * External directory services access 
     * Kerberos support 
     * RFC1522 header encoding for 8bit character sets 
     * Location independence of support files 
     * Offline support 
     * Hierarchy support (awaits IMAP4) 
     * Answered flag not set if reply is postponed (awaits IMAP4) 
     * Faster detection of folders with Recent messages (awaits IMAP4) 
     * Faster fetching of headers (awaits IMAP4) 
     * Determination of which flags are permanent (awaits IMAP4)